Name:           CatacombGL
Version:        0.5.7
Release:        1%{?dist}
Summary:        A source port of Catacomb 3D
License:        GPL-3.0-only
Group:          Amusements/Games/3D/Shoot
URL:            https://github.com/ArnoAnsems/CatacombGL/
#Git-Clone:     https://github.com/ArnoAnsems/CatacombGL.git
Source:         https://github.com/ArnoAnsems/CatacombGL/archive/refs/tags/v%{version}-beta.tar.gz
BuildRequires:  ImageMagick
BuildRequires:  cmake
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  gcc-c++

%description
CatacombGL is a source port of Catacomb 3D and the Catacomb Adventure series.

Features
* Hardware accelerated 3D rendering via OpenGL, supporting widescreen
  resolutions, a customizable field of view and an uncapp ed frame rate.
* Player, projectile and monster movement with floating point precision.
* Configurable mouse and keyboard controls.
* Supports all four Catacomb 3D games as included in the Catacombs Pack
  from GOG.com.
* Supports The Catacomb Abyss version 1.13 (shareware).

Note:
You need the original game data (levels, pictures, sounds, etc) files
to play the supported games with CatacombGL.

%prep
%setup -q -n CatacombGL-%{version}-beta
%autopatch -p1
convert -strip res/win/CatacombGL.ico CatacombGL.png

%build
%cmake
%cmake_build

%install
%cmake_install
cat > %{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=CatacombGL
Comment=A Catacomb 3D source port
Exec=%{name}
Icon=%{name}
StartupNotify=true
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame;
EOF

desktop-file-install --dir %{buildroot}%{_datadir}/applications %{name}.desktop
desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -m0644 %{name}-4.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%files
%license LICENSE
%doc README.md
%{_bindir}/CatacombGL
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri Jan 24 2025 josef radinger <cheese@nosuchhost.net> - 0.5.7-1
- bump version
- based on suse-specfile

* Fri Nov 29 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 0.5.6
  * Added an option to place the camera position slightly behind
    the player, as seen in the original DOS games.
    The default camera position is still centered on the player.
  * Added configuration variables WindowedScreenWidth and
    WindowedScreenHeight, which can be used to set the initial
    screen resolution in windowed mode. These variables have to be
    set via the configuration file, since they are not included in
    the menu. The default is 800 x 600.
  * Integrated the latest audio backend from ReflectionHLE.
  * Fix: prevent music playback from interfering with sound effects
    in the Catacomb Adventure series. Reported by @NY00123.
  * Fix: switch off the music when opening the menu via the F2, F3
    or F4 keyboard keys in the Catacomb Adventure series.
  * Fix: allow for two default keyboard keys to be bound to a
    single action.
* Mon Oct  7 2024 Carsten Ziepke <kieltux@gmail.com>
- Use gcc12 for Leap, fixes building for Leap
* Sat Aug 24 2024 Martin Hauke <mardnh@gmx.de>
- Update to version 0.5.5
  * Support for command line parameters was implemented.
    See the readme file for a list of commands.
  * The sticky walls in Catacomb 3-D are now configurable.
  * Music playback can now be enabled in the Catacomb Adventure
    Series.  The music track is "Too Hot to Handle" by
    Bobby Prince, which is the same track as used in Catacomb 3-D.
    The track was already present in the game data of the Catacomb
    Adventure Series, but not used until now.
  * Fix: Linux compilation errors were fixed.
  * Fix: the automap player marker now has a contrasting color when
    the floor is white or yellow.
  * Fix: in the Catacomb Adventure Series, as was seen in the
    original DOS games, the damage of player shots is round off in
    novice mode.
  * Fix: prevent key bindings from being overwritten by the default
    values.
- Drop not longer needed patches:
  * 0001-Fix-round-off-damage-of-player-shots-in-novice-mode.patch
  * 0002-Add-config-item-for-sticky-walls-in-Catacomb-3-D.patch
  * 0004-Add-missing-cstdint-includes.patch
  * 0005-Fix-clear-default-keys-when-loading-config-from-file.patch
* Sun May 19 2024 Martin Hauke <mardnh@gmx.de>
- Initial package, version 0.5.4
